List all cases
curl --request GET \
--url https://api.decisionly.com/v3/issuer/cases \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.decisionly.com/v3/issuer/cases"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.decisionly.com/v3/issuer/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.decisionly.com/v3/issuer/cases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.decisionly.com/v3/issuer/cases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.decisionly.com/v3/issuer/cases")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.decisionly.com/v3/issuer/cases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"cardholder": {
"billing_address": {
"city": "San Francisco",
"country": "US",
"line1": "742 Evergreen Terrace",
"line2": "Unit 5B",
"postal_code": "94102",
"state": "CA"
},
"email": "susie@example.com",
"issuer_id": "9529456289",
"name": "Susie Chargeback",
"type": "individual"
},
"case_id": "case_abc123",
"created": "2026-04-01T00:00:00.000Z",
"dispute": {
"amount": 299,
"currency": "USD",
"date": "2026-03-15T13:12:18.198-08:00",
"raised_by": "cardholder",
"reason": "product_not_received"
},
"dispute_evidence": {
"product_not_received": {
"cancellation": {
"date": null,
"description": null,
"id": null,
"policy_provided": null
},
"cardholder_explanation": "I never received this order",
"delivery": {
"date": null,
"expected_date": null,
"status": null
},
"documentation": null,
"issuer_explanation": null,
"merchant_contact": {
"attempted_date": null,
"description": null,
"email": null,
"method": null,
"phone": null,
"prohibited_reason": null,
"was_successful": null
},
"product": {
"condition": null,
"description": null,
"order_id": null,
"type": null
},
"service": {
"end_date": null
}
}
},
"merchant": {
"category_code": "5734",
"name": "FoodHub"
},
"review_status": null,
"status": "created",
"transaction": {
"amount": 299,
"arn": "48162855246353338636162",
"card": {
"expiry_month": 6,
"expiry_year": 2028,
"last4": "4242",
"network": "mastercard"
},
"currency": "USD",
"date": "2026-03-15T13:12:18.198-08:00"
}
}
],
"has_more": false
}v3 Cases
List all cases
Returns a list of all cases.
GET
/
v3
/
issuer
/
cases
List all cases
curl --request GET \
--url https://api.decisionly.com/v3/issuer/cases \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.decisionly.com/v3/issuer/cases"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.decisionly.com/v3/issuer/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.decisionly.com/v3/issuer/cases",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.decisionly.com/v3/issuer/cases"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.decisionly.com/v3/issuer/cases")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.decisionly.com/v3/issuer/cases")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"cardholder": {
"billing_address": {
"city": "San Francisco",
"country": "US",
"line1": "742 Evergreen Terrace",
"line2": "Unit 5B",
"postal_code": "94102",
"state": "CA"
},
"email": "susie@example.com",
"issuer_id": "9529456289",
"name": "Susie Chargeback",
"type": "individual"
},
"case_id": "case_abc123",
"created": "2026-04-01T00:00:00.000Z",
"dispute": {
"amount": 299,
"currency": "USD",
"date": "2026-03-15T13:12:18.198-08:00",
"raised_by": "cardholder",
"reason": "product_not_received"
},
"dispute_evidence": {
"product_not_received": {
"cancellation": {
"date": null,
"description": null,
"id": null,
"policy_provided": null
},
"cardholder_explanation": "I never received this order",
"delivery": {
"date": null,
"expected_date": null,
"status": null
},
"documentation": null,
"issuer_explanation": null,
"merchant_contact": {
"attempted_date": null,
"description": null,
"email": null,
"method": null,
"phone": null,
"prohibited_reason": null,
"was_successful": null
},
"product": {
"condition": null,
"description": null,
"order_id": null,
"type": null
},
"service": {
"end_date": null
}
}
},
"merchant": {
"category_code": "5734",
"name": "FoodHub"
},
"review_status": null,
"status": "created",
"transaction": {
"amount": 299,
"arn": "48162855246353338636162",
"card": {
"expiry_month": 6,
"expiry_year": 2028,
"last4": "4242",
"network": "mastercard"
},
"currency": "USD",
"date": "2026-03-15T13:12:18.198-08:00"
}
}
],
"has_more": false
}Authorizations
Query Parameters
Filter cases by status. Can be passed multiple times to filter by more than one status (e.g. ?status=won&status=lost).
Available options:
created, chargeback_filed, chargeback_represented, prearb_received, prearb_filed, prearb_rebutted, arbitration_filed, won, lost, accepted, rejected, expired, withdrawn, merchant_credited, merchant_credited_and_recovered